explain_snprintf_or_die(3)

NAME
explain_snprintf_or_die - formatted output conversion and report errors

SYNOPSIS
#include <libexplain/snprintf.h>

int explain_snprintf_or_die(char *data, size_t data_size, const char *format);
int explain_snprintf_on_error(char *data, size_t data_size, const char *format);

DESCRIPTION
The explain_snprintf_or_die function is used to call the snprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_snprintf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_snprintf_on_error function is used to call the snprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_snprintf(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the snprintf(3) system call.

data_size
    The data_size, exactly as to be passed to the snprintf(3) system call.

format
    The format, exactly as to be passed to the snprintf(3) system call.

RETURN VALUE
The explain_snprintf_or_die function only returns on success, see snprintf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_snprintf_on_error function always returns the value return by the wrapped snprintf(3) system call.

EXAMPLE
The explain_snprintf_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_snprintf_or_die(data, data_size, format);

SEE ALSO

snprintf(3)
    formatted output conversion

explain_snprintf(3)
    explain snprintf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2010 Peter Miller